<?php

/**
*
*
* @package - National Flags language
* @copyright (c) RMcGirr83
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste:
// ’ » “ ” …

$lang = array_merge($lang, [
	'ACP_FLAGS_EXPLAIN'					=> 'Aquí puede añadir/editar y borrar diferentes banderas.',
	'ACP_NO_UPLOAD'						=> '<br><strong>Si desea usar imágenes debería subirlas a ext/rmcgirr83/nationalflags/flags antes de añadir su nueva bandera. La bandera debe tener el nombre en minúsculas, por ejemplo uk.gif</strong>',
	'ACP_FLAG_USERS'					=> 'Número de usuarios',

	//Add/Edit Flags
	'FLAG_DEFAULT'						=> 'Bandera por defecto',
	'FLAG_DEFAULT_EXPLAIN'				=> 'Ajuste este valor en Si, para mostrar la bandera por primera vez en la selección de perfiles de usuario si el usuario no ha seleccionado todavía una bandera.',
	'FLAG_EDIT'							=> 'Editar bandera',
	'FLAG_NAME'							=> 'Nombre de la bandera',
	'FLAG_NAME_EXPLAIN'					=> 'El nombre de la bandera. El título de la bandera se muestra como esta aquí.',
	'FLAG_IMG'							=> 'Nombre de la imagen',
	'FLAG_IMG_EXPLAIN'					=> 'El nombre de la imagen. Por ejemplo: uk.gif. Las nuevas imágenes debe subirlas a ext/rmcgirr83/nationalflags/flags.',
	'FLAG_IMAGE'						=> 'Imagen de la bandera',
	'FLAG_ADD'							=> 'Añadir nueva bandera',
	'FLAG_UPLOAD'						=> 'Subir bandera',
	'FLAG_UPLOAD_NOTICE'				=> 'Al subir una imagen sobrescribirá el archivo de imagen que ya se encuentre en el servidor, si existiera. El archivo de imagen <strong>distingue</strong> entre mayúsculas y minúsculas.',
	'FLAG_UPLOAD_NO_OVERWRITE'			=> 'No será capaz de sobreescribir una imagen ya existente con el mismo nombre y la extensión como se muestra a continuación.',
	'FLAG_FOUND'						=> 'Bandera encontrada',
	'IMAGES_ON_SERVER'					=> 'Nombres de imágenes en el servidor',

	//Settings
	'FLAGS_REQUIRED'					=> 'Campo requerido',
	'FLAGS_REQUIRED_EXPLAIN'			=> 'Eleja Sí, para forzar a los nuevos registrados, así como aquellos que visitan su perfil de usuario para elegir una bandera',
	'FLAGS_DISPLAY_AVATARS'				=> 'Mostrar avatares',
	'FLAGS_DISPLAY_AVATARS_EXPLAIN'		=> 'Si se establece en Sí, los avatares de los usuarios se mostrarán en la página de las banderas. Si un usuario no tiene avatar, se mostrará el no avatar predeterminado para el estilo.',
	'FLAGS_DISPLAY_MSG'					=> 'Mostrar un mensaje',
	'FLAGS_DISPLAY_MSG_EXPLAIN'			=> 'Eleja Sí, para mostrar un mensaje en el foro para que el usuario elija una bandera',
	'FLAGS_NUM_DISPLAY'					=> 'Número de banderas',
	'FLAGS_NUM_DISPLAY_EXPLAIN'			=> 'El número de banderas que se mostrarán en la página índice del foro',
	'FLAGS_ON_INDEX'					=> 'Mostrar en el índice',
	'FLAGS_ON_INDEX_EXPLAIN'			=> 'Mostrar un resumen de los usuarios y sus banderas en la página índice del foro',
	'FLAGS_DISPLAY_OPTIONS'				=> 'Opciones de visualización',
	'FLAGS_DISPLAY_VIEWFORUM'			=> 'Mostrar banderas al visualizar temas dentro de los foros',
	'FLAGS_DISPLAY_FORUMROW'			=> 'Mostrar banderas en las vistas de índice y foro (junto a los nombres de usuario)',
	'FLAGS_DISPLAY_SEARCH'				=> 'Mostrar banderas en la búsqueda de mensajes',
	'FLAGS_DISPLAY_MEMBERLIST'			=> 'Mostrar banderas dentro de la lista de miembros',
	'FLAGS_DISPLAY_TO_GUESTS'			=> 'Mostrar banderas a los invitados',
	'FLAGS_DISPLAY_TO_GUESTS_EXPLAIN'	=> 'Eleja Sí, para mostrar las banderas a los invitados y robots',

	'FLAGS_VIEWTOPIC_POSITION'			=> 'Posición de la Bandera',
	'FLAGS_VIEWTOPIC_POSITION_EXPLAIN'	=> 'Donde le gustaría mostrar la bandera de los usuarios',
	'FLAG_POSITION_AFTER_AVATAR'		=> 'Después del avatar de usuario', //1
	'FLAG_POSITION_BEFORE_AVATAR'		=> 'Antes del avatar de usuario', //2
	'FLAG_POSITION_AFTER_USER_NAME'		=> 'Después del nombre de usuario', //3
	'FLAG_POSITION_BEFORE_USER_NAME'	=> 'Antes del nombre de usuario', //4
	'FLAG_POSITION_ABOVE_RANK'			=> 'Encima del rango de usuario', //5
	'FLAG_POSITION_BELOW_RANK'			=> 'Debajo del rango de usuario', //6
	'FLAG_POSITION_AFTER_PROFILE_FIELDS'	=> 'Después de los campos de perfil', //7
	'FLAG_POSITION_BEFORE_PROFILE_FIELDS'	=> 'Antes de los campos de perfil', //8
	'FLAG_POSITION_AFTER_CONTACT_FIELDS'	=> 'Después de los campos de Contacto', //0

	//Logs, messages and errors
	'MSG_FLAGS_DELETED'					=> 'La bandera ha sido eliminada.',
	'MSG_CONFIRM'						=> '<strong>¿Está seguro de querer borrar esta bandera?</strong>',
	'MSG_FLAG_CONFIRM_DELETE'			=> [
		1	=> '<br><strong>%d</strong> usuario tiene está bandera y tendrá que seleccionar una bandera distinta si decide eliminar esta.',
		2	=> '<br><strong>%d</strong> usuarios tienen está bandera y tendrán que seleccionar una bandera distinta si decide eliminar esta.',
	],
	'MSG_FLAG_EDITED'					=> 'La bandera ha sido editada.',
	'MSG_FLAG_ADDED'					=> 'La nueva bandera ha sido añadida.',
	'FLAG_ERROR_NO_FLAG_NAME'			=> 'Sin nombre de bandera definido, este es un campo obligatorio.',
	'FLAG_ERROR_NO_FLAG_IMG'			=> 'Sin imagen de bandera definida, este es un campo obligatorio.',
	'FLAG_ERROR_NOT_EXIST'				=> 'La bandera seleccionada no existe.',
	'FLAG_CONFIG_SAVED'					=> '<strong>Ajustes de Banderas Nacionales han sido cambiados</strong>',
	'FLAG_NAME_EXISTS'					=> 'Hay una bandera existente con ese nombre',
	'FLAG_SETTINGS_CHANGED'				=> 'Ajustes de Banderas Nacionales cambiados.',
	'FLAG_IMAGE_GENERAL_UPLOAD_ERROR'	=> 'No se pudo cargar la bandera a %s. La imagen de la bandera ya existe.',
	'FLAG_IMAGE_DISALLOWED_CONTENT'			=> 'La transferencia se ha interrumpido debido a que el archivo ha sido identificado como una amenaza potencial.',
	'FLAG_IMAGE_DISALLOWED_EXTENSION'		=> 'Este archivo no puede mostrarse porque la extensión <strong>%s</strong> no esta permitida.',
	'FLAG_IMAGE_EMPTY_FILEUPLOAD'			=> 'El archivo de la bandera está vacío.',
	'FLAG_IMAGE_EMPTY_REMOTE_DATA'			=> 'La bandera enviada no puede ser transferido debido a que los datos parecen incorrectos o dañados.',
	'FLAG_IMAGE_IMAGE_FILETYPE_MISMATCH'	=> 'Desajuste en el tipo de archivo de bandera: La extensión esperada era %1$s pero la extensión dada es %2$s.',
	'FLAG_IMAGE_INVALID_FILENAME'			=> '%s es un nombre de archivo no válido.',
	'FLAG_IMAGE_NOT_UPLOADED'				=> 'La bandera no se puede transferir',
	'FLAG_IMAGE_PARTIAL_UPLOAD'				=> 'El archivo no puede ser totalmente transferido.',
	'FLAG_IMAGE_PHP_SIZE_NA'				=> 'El tamaño de la bandera es demasiado grande.<br>El tamaño máximo establecido en php.ini no se pudo determinar.',
	'FLAG_IMAGE_PHP_SIZE_OVERRUN'			=> 'El tamaño de la bandera es demasiado grande.<br>El tamaño máximo establecido en php.ini no se pudo determinar.',
	'FLAG_IMAGE_REMOTE_UPLOAD_TIMEOUT'		=> 'La bandera especificado no se ha podido subir porque la solicitud ha caducado.',
	'FLAG_IMAGE_UNABLE_GET_IMAGE_SIZE'		=> 'No fue posible determinar las dimensiones de la bandera',
	'FLAG_IMAGE_URL_INVALID'				=> 'La dirección de la bandera no es válida',
	'FLAG_IMAGE_URL_NOT_FOUND'				=> 'El archivo no se puede encontrar.',
	'FLAG_IMAGE_WRONG_FILESIZE'				=> 'El tamaño de la bandera debe estar entre 0 y %1d %2s.',
	'FLAG_IMAGE_WRONG_SIZE'					=> 'La bandera debe tener como máximo %3$s de anchura y %4$s de altura. La imagen enviada tiene %5$s de anchura y %6$s de altura.',
	'FLAGS_REQUIRE_540'			=> 'Está extensión requiere al menos la version de PHP 7.1 y una versión de phpBB 3.2.0 o superior. Por favor, actualice su versión de PHP y*/o su versión de phpBB para poder utilizar la extensión.',

	// end comment
	'TOO_SMALL_FLAGS_NUM_DISPLAY'	=> 'El número elegido para mostrar el número de banderas es demasiado pequeño',
	'TOO_LARGE_FLAGS_NUM_DISPLAY'	=> 'El número elegido para mostrar el número de banderas es demasiado grande',
	//Donation
	'PAYPAL_IMAGE_URL'          => 'https://www.paypalobjects.com/webstatic/en_US/i/btn/png/silver-pill-paypal-26px.png',
	'PAYPAL_ALT'                => 'Donar usando PayPal',
	'BUY_ME_A_BEER_URL'         => 'https://paypal.me/RMcGirr83',
	'BUY_ME_A_BEER'				=> 'Cómpreme una cerveza por crear esta extensión',
	'BUY_ME_A_BEER_SHORT'		=> 'Haga una donación para esta extensión',
	'BUY_ME_A_BEER_EXPLAIN'		=> 'Esta extensión es completamente gratuita. Es un proyecto en el que dedico mi tiempo para el disfrute y uso de la comunidad phpBB. Si disfruta usando esta extensión, o si ha beneficiado a su foro, considere <a href="https://paypal.me/RMcGirr83" target="_blank" rel="noreferrer noopener">comprarme una cerveza</a>. Le estaría agradecido. <i class="fa fa-smile-o" style="color:green;font-size:1.5em;" aria-hidden="true"></i>',
]);
